Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.compiler.bom
Class CompletionCondition

    java.lang.Object
      org.apache.ode.bpel.compiler.bom.BpelObject
          org.apache.ode.bpel.compiler.bom.Expression
              org.apache.ode.bpel.compiler.bom.CompletionCondition

All Implemented Interfaces:
  SourceLocation

    public class CompletionCondition

extends Expression

Interface for a `<completionCondition>` as used in a forEach activity.

Field Summary

Fields inherited from class org.apache.ode.bpel.compiler.bom.BpelObject
`ATTR_LINENO`

Constructor Summary
`CompletionCondition(org.w3c.dom.Element el)`

Method Summary
`boolean` | `isSuccessfulBranchesOnly()` Gets whether the completion count should include all terminated children or only successfully completed ones.

Methods inherited from class org.apache.ode.bpel.compiler.bom.Expression
`getExpression, getExpressionLanguage`

Methods inherited from class org.apache.ode.bpel.compiler.bom.BpelObject
`createBpelObject, getAttribute, getAttribute, getAttribute, getAttribute, getChildren, getChildren, getChildren, getColumnNo, getElement, getExtensibilityElement, getExtensibilityElements, getFirstChild, getFirstChild, getFirstExtensibilityElementElement, getLineNo, getNamespaceContext, getPath, getTextValue, getType, getURI, is11, is20Draft, isAttributeSet, rewriteTargetNS, setURI, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CompletionCondition

    public CompletionCondition(org.w3c.dom.Element el)

Method Detail

### isSuccessfulBranchesOnly

    public boolean isSuccessfulBranchesOnly()

  Gets whether the completion count should include all terminated children or only successfully completed ones.

  Returns:
    counts completed

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD